--- old/usr/src/uts/common/crypto/io/dca_rng.c	2014-10-23 11:04:52.488955685 -0400
+++ new/usr/src/uts/common/crypto/io/dca_rng.c	2014-10-23 11:04:52.493736426 -0400
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Deimos - cryptographic acceleration based upon Broadcom 582x.
  */
@@ -216,18 +214,9 @@
 	/* Mutex for the local random number pool */
 	mutex_init(&dca->dca_random_lock, NULL, MUTEX_DRIVER, NULL);
 
-	if ((dca->dca_buf1 = kmem_alloc(RANDOM_BUFFER_SIZE, KM_SLEEP)) ==
-	    NULL) {
-		mutex_destroy(&dca->dca_random_lock);
-		return (CRYPTO_FAILED);
-	}
+	dca->dca_buf1 = kmem_alloc(RANDOM_BUFFER_SIZE, KM_SLEEP);
 
-	if ((dca->dca_buf2 = kmem_alloc(RANDOM_BUFFER_SIZE, KM_SLEEP)) ==
-	    NULL) {
-		mutex_destroy(&dca->dca_random_lock);
-		kmem_free(dca->dca_buf1, RANDOM_BUFFER_SIZE);
-		return (CRYPTO_FAILED);
-	}
+	dca->dca_buf2 = kmem_alloc(RANDOM_BUFFER_SIZE, KM_SLEEP);
 
 	return (CRYPTO_SUCCESS);
 }
